| Home | Libraries | People | FAQ | More

#### io_context::fork_event

Inherited from execution_context.

Fork-related event notifications.

    enum fork_event

###### Values

fork_prepare

  Notify the context that the process is about to fork.

fork_parent

  Notify the context that the process has forked and is the parent.

fork_child

  Notify the context that the process has forked and is the child.